Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
connectorTask
Create job from connector asynchronous download task
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/connectorTask \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetLangs": [
    "<string>"
  ],
  "assignments": [
    {
      "assignedUsers": [
        {
          "id": 123
        }
      ],
      "providers": [
        {
          "type": "<string>",
          "id": "<string>"
        }
      ],
      "targetLang": "<string>"
    }
  ],
  "callbackUrl": "<string>",
  "due": "2023-11-07T05:31:56Z",
  "path": "<string>",
  "preTranslate": true,
  "semanticMarkup": true,
  "useProjectFileImportSettings": true,
  "workflowSettings": [
    {
      "assignments": [
        {
          "assignedUsers": [
            {
              "id": 123
            }
          ],
          "providers": [
            {
              "type": "<string>",
              "id": "<string>"
            }
          ],
          "targetLang": "<string>"
        }
      ],
      "due": "2023-11-07T05:31:56Z",
      "id": "<string>"
    }
  ]
}
'
{
  "asyncRequest": {
    "action": "PRE_ANALYSE",
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>"
  },
  "jobs": [
    {
      "continuous": true,
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDue": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "imported": true,
      "jobAssignedEmailTemplate": {},
      "notificationIntervalInMinutes": 123,
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "sourceFileUid": "<string>",
      "status": "NEW",
      "targetLang": "<string>",
      "uid": "<string>",
      "updateSourceDate": "2023-11-07T05:31:56Z",
      "workflowLevel": 123,
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ],
  "unsupportedFiles": [
    "<string>"
  ],
  "warnings": [
    {
      "domain": "STYLEGUIDE",
      "jobPartIds": [
        "<string>"
      ],
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Query Parameters

downloadTaskId
string
continuous
boolean
default:false

Body

application/json
targetLangs
string[]
required
assignments
object[]

only use for projects without workflows; otherwise specify in the workflowSettings object

callbackUrl
string
due
string<date-time>

only use for projects without workflows; otherwise specify in the workflowSettings object. Use ISO 8601 date format.

importSettings
object
jobPreviewPackageFileUidRef
object
notifyProvider
object
path
string
Maximum string length: 255
preTranslate
boolean
remoteFile
object
semanticMarkup
boolean
useProjectFileImportSettings
boolean

Default: false

workflowSettings
object[]
xmlAssistantProfile
object

Response

Created

asyncRequest
object
jobs
object[]
unsupportedFiles
string[]
warnings
object[]